Summary: Support libraries for Mr. Proejct
Name: libmrproject
Version: 0.6
Release: 1
URL: http://www.codefactory.se/
Source0: %{name}-%{version}.tar.gz
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root
Requires: gtk2 >= 2.0

%description
A support library for accessing Mr. Project data.

%package devel
Summary:	The files needed for libmrproject application development.
Group: 		Development/Libraries
Requires:	%name = %{PACKAGE_VERSION}
Requires:	gtk+-devel

%description devel
The libmrproject-devel package contains the necessary include files
for developing applications that access Mr. Project data


%prep
%setup -q

%build

%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall MRP_STORAGEMODULEDIR=$RPM_BUILD_ROOT/%{_libdir}/mrproject/storage-modules
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog NEWS README COPYING
%{_prefix}/lib/lib*.so.*
%{_prefix}/lib/mrproject/storage-modules/lib*.so

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/mrproject
%{_libdir}/pkgconfig/*
%{_prefix}/include/mrproject-1.0

%changelog
* Wed Aug 14 2002 Jonathan Blandford <jrb@redhat.com>
- New bug fix version

* Tue Aug  6 2002 Jonathan Blandford <jrb@redhat.com>
- new version.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed May 29 2002 Jonathan Blandford <jrb@redhat.com>
- Initial build.


